package edu.prlab.ecsimple.service;

import edu.prlab.ecsimple.domain.Product;
import edu.prlab.ecsimple.repo.ProductRepo;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@RequiredArgsConstructor
@Service
public class ProductServiceImpl implements ProductService{
    private final ProductRepo productRepo;

    @Override
    public Optional<Product> create(Product product){
        return Optional.of(product).map(productRepo::save);
    }

    @Override
    public Optional<Product> getProduct(Integer id) {
        return productRepo.findById(id);
    }

    @Override
    public List<Product> getProducts() {
        return productRepo.findAll();
    }
}
